Katello - Bug #6663

Details tab of foreman host shows multiple entries of 'Subscription Status'
07/17/2014 08:24 AM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Thomas McKay
Category: Hosts
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1100235 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/452
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1100235

Description of problem:

I'm not sure if it is expected or not but | can see multiple entries of 'Subscription status' under details of a foreman host provisioned
by foreman itself. Please see the screenshot. | think there should be one entry that should link with subscription page.

Version-Release number of selected component (if applicable):
sat6 beta snap5 compose3

candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.9-1.el6sat.noarch
foreman-compute-1.6.0.9-1.el6sat.noarch
foreman-gce-1.6.0.9-1.el6sat.noarch
foreman-libvirt-1.6.0.9-1.el6sat.noarch
foreman-ovirt-1.6.0.9-1.el6sat.noarch
foreman-postgresql-1.6.0.9-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-selinux-1.6.0-2.el6sat.noarch
foreman-vmware-1.6.0.9-1.el6sat.noarch
katello-1.5.0-24.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.40-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.3-1.el6sat.noarch
pulp-nodes-common-2.4.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.17.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.17.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.17.beta.el6sat.noarch
pulp-selinux-2.4.0-0.17.beta.el6sat.noarch
pulp-server-2.4.0-0.17.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
rubygem-hammer_cli-0.1.0-13.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-13.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-6.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-24.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1100235

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

How reproducible:
always

Steps to Reproduce:

1. provision a host via foreman

2. select host and see the details.
3.

Actual results:
multiple entries of subscription status

Expected results:
I think Ul should show one line entry for 'Subscription Status'

Additional info:

Related issues:
Has duplicate Katello - Bug #6931: Subscription status should only appear one... Duplicate 08/05/2014

Associated revisions

Revision 9509bb4b - 08/05/2014 09:00 AM - Joseph Magen

fixes #6663 - Details tab of foreman host shows multiple entries of 'Subscription Status'

Revision 4275d84d - 08/05/2014 10:41 AM - Brad Buckingham
Merge pull request #4529 from isratrade/6931

fixes #6663 - Details tab of foreman host shows multiple entries of 'Subscription Status'

History

#1 - 07/21/2014 04:18 AM - Dominic Cleal
- Project changed from Foreman to Katello

- Triaged set to No

#2 - 08/04/2014 10:46 PM - Eric Helms
- Category set to 83

- Assignee set to Thomas McKay

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/05/2014 08:47 AM - Eric Helms

- Has duplicate Bug #6931: Subscription status should only appear one time on Host show page, but appears multipe times in some cases added

#4 - 08/05/2014 08:47 AM - Eric Helms
- Pull request https://github.com/Katello/katello/pull/4529 added
- Pull request deleted ()

#5 - 08/05/2014 10:41 AM - The Foreman Bot
- Status changed from New to Ready For Testing

#6 - 08/05/2014 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|9509bb4b71011bcf569c34706927e8295ae06e75.

#7 - 08/22/2014 09:23 AM - Eric Helms
https://projects.theforeman.org/projects/katello/repository/katello/revisions/9509bb4b71011bcf569c34706927e8295ae06e75

- translation missing: en.field_release set to 13
